Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCostsAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCostsAuxiliary.cs	(revision 51)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCostsAuxiliary.cs	(revision 52)
@@ -118,6 +118,7 @@
             foreach (Control wrk in m_dispControl)
             {
                 if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                if (wrk.GetType().Equals(typeof(ComboBoxEX))) continue;
                 wrk.Text = "";
             }
             m_bChengeAns = false;
@@ -124,6 +125,24 @@
         }
         #endregion
 
+        #region 初期時にログイン担当者をセットする
+        /// <summary>
+        /// 初期時にログイン担当者をセットする
+        /// </summary>
+        private void InitDepPersonCode()
+        {
+            try
+            {
+                cmbDepartment.SelectedValue = CommonMotions.LoginUserData.DepartmentCode;
+                cmbConstructionPerson.SelectedValue = CommonMotions.LoginUserData.PersonCode;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region 対象年度のセット
         /// <summary>
         /// 対象年度のセット
@@ -368,7 +387,6 @@
             m_bInitFlg = true;
             try
             {
-
                 cmbDepartment.DataSource = null;
                 cmbDepartment.Items.Clear();
                 cmbDepartment.Text = "";
@@ -379,31 +397,13 @@
                 strSQL += " FROM DEPARTMENTMASTER A, PERSONINCHARGEMASTER B, CONSTRUCTIONBASEINFO C";
                 strSQL += " WHERE A.DELETEFLG = 0";
 
-                // 新セキュリティデータ対応済みかを確認する
-                if (CommonMotions.LoginUserData.SecCode == 0)
+                if (CommonMotions.LoginUserData.PersonCode != CommonDefine.AdminCode)
                 {
-                    // システム権限によってデータアクセスに制限がある
-                    if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key
-                        || CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
-                    {
-                        // 所属長
-                        // 一般使用者（自分のみアクセス可能）
-                        strSQL += string.Format(" AND A.DEPARTMENTCODE = {0}", CommonMotions.LoginUserData.DepartmentCode);
-                    }
+                    // 参照部署マスタより取得する
+                    strSQL += " AND A.DEPARTMENTCODE IN (SELECT A1.DEPARTMENTCODE FROM PERSONDEPARTMENTMASTER A1";
+                    strSQL += string.Format(" WHERE A1.PERSONCODE = {0})", CommonMotions.LoginUserData.PersonCode);
                 }
-                else
-                {
-                    if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode)
-                    {
 
-                    }
-                    else
-                    {
-                        // 参照部署マスタより取得する
-                        strSQL += " AND A.DEPARTMENTCODE IN (SELECT A1.DEPARTMENTCODE FROM PERSONDEPARTMENTMASTER A1";
-                        strSQL += string.Format(" WHERE A1.PERSONCODE = {0})", CommonMotions.LoginUserData.PersonCode);
-                    }
-                }
                 strSQL += " AND A.DEPARTMENTCODE = B.DEPARTMENTCODE";
                 strSQL += " AND B.PERSONCODE = C.CONSTRUCTIONPERSONCODE";
                 strSQL += " GROUP BY A.DEPARTMENTCODE, A.DEPARTMENTSTRING, A.DISPLAYORDER";
@@ -427,17 +427,6 @@
                 // コンボボックス初期表示
                 ComboBoxAction.InitDataSetCombBox(cmbDepartment, ConstructionDataList);
 
-                // 新セキュリティデータ対応済みかを確認する
-                if (CommonMotions.LoginUserData.SecCode == 0)
-                {
-                    // 所属長
-                    // 一般使用者（自分のみアクセス可能）
-                    if (CommonMotions.LoginUserData.SecurityManagement != CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
-                    {
-                        cmbDepartment.SelectedValue = CommonMotions.LoginUserData.DepartmentCode;
-                    }
-                }
-
                 return true;
             }
             catch (Exception ex)
@@ -493,58 +482,39 @@
         private void SetcombBoxPerson()
         {
             IOMPersonInCharge picDB = new IOMPersonInCharge();
+            bool bSave = m_bInitFlg;
+            m_bInitFlg = true;
             try
             {
-                // 担当者マスタを検索する
-                //string strSQL = string.Format(" WHERE EMPLOYEECLASSFLG = {0} AND DELETEFLG = 0", (int)CommonDefine.EmployeeClassFlg.Regular);
-                string strSQL = " WHERE DELETEFLG = 0";
-                
-                // 所　属　長
-                int Superior = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key;
-                // 一般ユーザー
-                int User = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key;
-                if (CommonMotions.LoginUserData.SecurityManagement == Superior)
-                {
-                    // 所属長（所属内のみ）
-                    strSQL += string.Format(" AND DEPARTMENTCODE = {0}", CommonMotions.LoginUserData.DepartmentCode);
-                }
-                else if (CommonMotions.LoginUserData.SecurityManagement == User)
-                {
-                    // 一般ユーザーは担当者を選択できない
-                    return;
-                }
+                cmbConstructionPerson.DataSource = null;
+                cmbConstructionPerson.Items.Clear();
+                cmbConstructionPerson.Text = "";
+
+                List<PersonInChargeMaster> workList = new List<PersonInChargeMaster>();
+                string strSQL = string.Empty;
+                int DepartmentCode = GetDepartmentCode();
+                if (DepartmentCode == 0)
+                    strSQL = " WHERE DeleteFlg = 0 Order By EmployeeClassFlg ASC, DisplayOrder ASC";
                 else
-                {
-                    if (CommonMotions.cnvInt(cmbDepartment.SelectedValue) != 0)
-                        strSQL += string.Format(" AND DEPARTMENTCODE = {0}", CommonMotions.cnvInt(cmbDepartment.SelectedValue));
-                }
+                    strSQL = string.Format(" WHERE DEPARTMENTCODE = {0} AND DeleteFlg = 0 Order By EmployeeClassFlg ASC, DisplayOrder ASC", DepartmentCode);
 
                 // 担当者マスタ読込
-                strSQL += " ORDER BY EMPLOYEECLASSFLG ASC, DISPLAYORDER ASC";
-                List<PersonInChargeMaster> workList = new List<PersonInChargeMaster>(); ;
-                if (!picDB.SelectAction(strSQL, ref workList)) return ;
+                if (!picDB.SelectAction(strSQL, ref workList)) return;
 
-                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
-                // データ表示
-                foreach (PersonInChargeMaster wrk in workList)
+                List<KeyValuePair<int, string>> ConstructionDataList = new List<KeyValuePair<int, string>>();
+                ConstructionDataList.Add(new KeyValuePair<int, string>(0, ""));
+
+                foreach (PersonInChargeMaster work in workList)
                 {
-                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(wrk.PersonCode, wrk.PersonName);
-                    DataList.Add(keyval);
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(work.PersonCode, work.PersonName);
+
+                    ConstructionDataList.Add(keyval);
                 }
 
                 // コンボボックス初期表示
-                ComboBoxAction.InitDataSetCombBox(cmbConstructionPerson, DataList);
+                ComboBoxAction.InitDataSetCombBox(cmbConstructionPerson, ConstructionDataList);
 
-                // 新セキュリティデータ対応済みかを確認する
-                if (CommonMotions.LoginUserData.SecCode == 0)
-                {
-                    // 一般ユーザーで総務部所属者ではない場合、ログイン者のコードをセットする
-                    if (CommonMotions.LoginUserData.SecurityManagement != CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key &&
-                        CommonMotions.LoginUserData.DepartmentCode != CommonDefine.s_GeneralAffairsDevision)
-                    {
-                        cmbConstructionPerson.SelectedValue = CommonMotions.LoginUserData.PersonCode;
-                    }
-                }
+                return;
             }
             catch (Exception ex)
             {
@@ -553,6 +523,7 @@
             finally
             {
                 picDB.close(); picDB = null;
+                m_bInitFlg = bSave;
             }
         }
         #endregion
@@ -1061,6 +1032,28 @@
         }
         #endregion
 
+        #region 部署コンボより担当者コードを取得する
+        /// <summary>
+        /// 部署コンボより担当者コードを取得する
+        /// </summary>
+        /// <returns></returns>
+        private int GetDepartmentCode()
+        {
+            try
+            {
+                // 表示されていない場合は選択無
+                //if (!cmbDepartment.Visible) return 0;
+
+                return CommonMotions.cnvInt(cmbDepartment.SelectedValue);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}", ex.Message);
+                return 0;
+            }
+        }
+        #endregion
+
         #region 対象月をコンボボックスより取得する
         /// <summary>
         /// 対象月をコンボボックスより取得する
@@ -1161,7 +1154,7 @@
                     if (CurDay == CommonMotions.cnvInt(dgv.Rows[(RemoveCnt - 1)].Cells[(int)DispGridColumn.Days].Value)) sameCount++;
                 }
                 // 1行後が同じ日付かを確認する
-                if (RemoveCnt <= (dgv.RowCount - 1))
+                if (RemoveCnt < (dgv.RowCount - 1))
                 {
                     if (CurDay == CommonMotions.cnvInt(dgv.Rows[(RemoveCnt + 1)].Cells[(int)DispGridColumn.Days].Value)) sameCount++;
                 }
@@ -1305,6 +1298,7 @@
                 strSQL += string.Format(" AND TargetMonth = '{0}'", TargetMonth);
                 CostDB.DeleteAction(strSQL, false);
 
+                string strSubSQL = string.Empty;
                 // 全タブを対象に処理を行う
                 for (int i = (int)InputTabCount.Transport; i <= (int)InputTabCount.Lodging; i++)
                 {
@@ -1311,8 +1305,10 @@
                     // グリッド取得
                     DataGridView dgv = m_dispGridControl[i];
 
+                    strSQL = "INSERT ALL";
                     // グリッドの行分処理を行う
                     int Addcnt = 1;
+                    strSubSQL = string.Empty;
                     foreach (DataGridViewRow wrkRow in dgv.Rows)
                     {
                         // 金額が無い行は処理しない
@@ -1319,21 +1315,32 @@
                         if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.EntryPrice].Value) == 0) continue;
 
                         // データ編集
-                        CostDataOfPerson costRec = new CostDataOfPerson();
-                        SetCostsRecData(i, wrkRow, ref costRec);
+                        //CostDataOfPerson costRec = new CostDataOfPerson();
+                        //SetCostsRecData(i, wrkRow, ref costRec);
                         
-                        // データ追加番号のセット
-                        costRec.DataAddCount = Addcnt++;
-                        // 対象年月のセット
-                        costRec.TargetMonth = TargetMonth;
+                        //// データ追加番号のセット
+                        //costRec.DataAddCount = Addcnt++;
+                        //// 対象年月のセット
+                        //costRec.TargetMonth = TargetMonth;
 
-                        if (!CostDB.InsertAction(costRec, false))
-                        {
-                            MessageBox.Show("担当者毎経費データ登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                            CostDB.rollback();
-                            return false;
-                        }
+                        //if (!CostDB.InsertAction(costRec, false))
+                        //{
+                        //    MessageBox.Show("担当者毎経費データ登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        //    CostDB.rollback();
+                        //    return false;
+                        //}
+                        SetCostsRecData2(i, wrkRow, Addcnt, ref strSubSQL);
+                        Addcnt++;
                     }
+                    if (strSubSQL.Length == 0) continue;
+                    strSQL += strSubSQL;
+                    strSQL += " SELECT * FROM DUAL";
+                    if (!CostDB.ExecuteNonQuery(strSQL, false))
+                    {
+                        MessageBox.Show("担当者毎経費データ登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        CostDB.rollback();
+                        return false;
+                    }
                 }
 
                 CostDB.commit();
@@ -1406,6 +1413,81 @@
         /// </summary>
         /// <param name="costRec"></param>
         /// <param name="CurTabCnt"></param>
+        private void SetCostsRecData2(int CurTabCnt, DataGridViewRow dgvRow, int Addcnt, ref string strSQL)
+        {
+            try
+            {
+                // 対象月を取得する
+                string TargetMonth = GetTargetMonth();
+
+                // 対象日を取得する
+                int TargetDay = CommonMotions.cnvInt(dgvRow.Cells[(int)DispGridColumn.Days].Value);
+
+                // 担当者コンボボックス値取得
+                int PersonCode = GetConstructionPersonCode();
+
+                strSQL += " INTO CostDataOfPerson";
+
+                strSQL += "(";
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(IOCostDataOfPerson.CostDataOfPersonColumn)))
+                {
+                    if (!bFirst) strSQL += " ,";
+                    strSQL += gender.ToString();
+                    bFirst = false;
+                }
+                strSQL += ") VALUES (";
+
+                // 担当者コード
+                strSQL += string.Format("{0}", PersonCode);
+                // 対象日付
+                strSQL += string.Format(" ,TO_DATE('{0}/{1}','YYYY/MM/DD')", TargetMonth , TargetDay.ToString());
+                // データ種別
+                strSQL += string.Format(" ,{0}", GetDataType(CurTabCnt));
+                // データ追加番号
+                strSQL += string.Format(" ,{0}", Addcnt);
+                // 対象年月
+                strSQL += string.Format(" ,'{0}'", TargetMonth);
+                // 工事コード	
+                strSQL += string.Format(" ,{0}", CommonMotions.cnvInt(dgvRow.Cells[(int)DispGridColumn.ConstractionCode].Value));
+                // 支払先コード
+                strSQL += string.Format(" ,{0}", CommonMotions.cnvInt(dgvRow.Cells[(int)DispGridColumn.SuppliersCode].Value));
+                // 支払先名称
+                strSQL += string.Format(" ,'{0}'", CommonMotions.cnvString(dgvRow.Cells[(int)DispGridColumn.SuppliersName].Value));
+                // 支払内容
+                strSQL += string.Format(" ,'{0}'", CommonMotions.cnvString(dgvRow.Cells[(int)DispGridColumn.PaymentContent].Value));
+                // 支払方法区分
+                strSQL += string.Format(" ,{0}", CommonMotions.cnvInt(dgvRow.Cells[(int)DispGridColumn.PaymentType].Value));
+                // 金額(税抜)
+                strSQL += string.Format(" ,{0}",  CommonMotions.cnvInt(dgvRow.Cells[(int)DispGridColumn.EntryPrice].Value));
+                // 金額(税込)
+                strSQL += string.Format(" ,{0}",  CommonMotions.cnvInt(dgvRow.Cells[(int)DispGridColumn.EntryPriceInTax].Value));
+                // 伝票番号
+                strSQL += string.Format(" ,'{0}'", string.Empty);
+                // 引込済みフラグ
+                strSQL += string.Format(" ,{0}", 0);
+                // 承認フラグ
+                strSQL += string.Format(" ,{0}", 0);
+                // 登録年月日
+                strSQL += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                // 更新年月日
+                strSQL += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+
+                strSQL += ")";
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 担当者毎経費データ編集データ取り込み
+        /// <summary>
+        /// 担当者毎経費データ編集データ取り込み
+        /// </summary>
+        /// <param name="costRec"></param>
+        /// <param name="CurTabCnt"></param>
         private void SetCostsRecData(int CurTabCnt, DataGridViewRow dgvRow, ref CostDataOfPerson costRec)
         {
             try
@@ -1523,7 +1605,7 @@
                 return false;
             }
         }
-            #endregion
+        #endregion
 
         #region 合計エリア表示
         /// <summary>
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmInputComment.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmInputComment.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmInputComment.cs	(revision 52)
@@ -0,0 +1,244 @@
+using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Text;
+using System.Windows.Forms;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.Core;
+using ProcessManagement.Forms.SubForms;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+//*------------------------ 掲示板入力画面 ------------------------------------*
+//  2015/07/14  Ver1.0.0.0      Create Source           
+//
+//
+//
+//*----------------------------------------------------------------------------*
+namespace ProcessManagement.Forms.SubForms
+{
+    public partial class FrmInputComment : Form
+    {
+        #region 使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        #endregion
+
+        #region 変数
+        /// <summary>
+        /// フィールド値変化フラグ
+        /// </summary>
+        private bool m_bChengeAns = false;
+
+        /// <summary>
+        /// コメント
+        /// </summary>
+        private string m_CommentString = string.Empty;
+
+        /// <summary>
+        /// 終了ボタン押下フラグ
+        /// </summary>
+        private DialogResult m_EndButton = DialogResult.None;
+        
+        #endregion
+
+        #region プロパティ
+        #region 終了ボタン押下フラグ
+        /// <summary>
+        /// 終了ボタン押下フラグ
+        /// </summary>
+        public DialogResult EndButton
+        {
+            get { return m_EndButton; }
+            set { m_EndButton = value; }
+        }
+        #endregion
+
+        #region コメント
+        /// <summary>
+        /// コメント
+        /// </summary>
+        public string CommentString
+        {
+            get { return m_CommentString; }
+            set { m_CommentString = value; }
+        }
+        #endregion
+        #endregion
+
+        #region コンストラクタ
+        public FrmInputComment()
+        {
+            InitializeComponent();
+        }
+        #endregion
+        #region デストラクタ
+        ~FrmInputComment()
+        {
+            try
+            {
+                GC.Collect();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region フォームロード
+        /// <summary>
+        /// フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmCommentWriter_Load(object sender, EventArgs e)
+        {
+            this.txtMessage.Text = string.Empty;
+            this.txtMessage.Focus();
+        }
+        #endregion
+
+        #region フィールド値変更フラグ
+        /// <summary>
+        /// フィールド値変更フラグ
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void valueChange(object sender, EventArgs e)
+        {
+            m_bChengeAns = true;
+        }
+        #endregion
+
+        #region Formキーダウン処理
+        /// <summary>
+        /// Formキーダウン処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmCommentWriter_KeyDown(object sender, KeyEventArgs e)
+        {
+            //Enterキーが押されているか確認
+            if (e.KeyCode == Keys.Enter)
+            {
+                //あたかもTabキーが押されたかのようにする。
+                // Shiftが押されている時は前のコントロールへフォーカスを移動
+                this.ProcessTabKey(!e.Shift);
+
+                e.Handled = true;
+                //.NET Framework 2.0以降
+                e.SuppressKeyPress = true;
+            }
+        }
+        #endregion
+
+        #region ×ボタン押下処理
+        /// <summary>
+        /// ×ボタン押下処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmCommentWriter_FormClosing(object sender, FormClosingEventArgs e)
+        {
+            if (m_bChengeAns)
+            {
+                if (MessageBox.Show("データに変更があります、そのまま終了してよろしいですか？。", "終了確認"
+                                , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                {
+                    e.Cancel = true;
+                    return;
+                }
+                if (m_EndButton == DialogResult.None) m_EndButton = DialogResult.No;
+            }
+            // 前プロセスに戻る
+            ClsExcute.BackProcess();
+        }
+        #endregion
+
+        #region 終了ボタン押下
+        /// <summary>
+        /// 終了ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEnd_Click(object sender, EventArgs e)
+        {
+            m_EndButton = DialogResult.No;
+            this.Close();
+        }
+        #endregion
+
+        #region 登録ボタン押下
+        /// <summary>
+        /// 登録ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnDataEntry_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                if (!DispFeildCheck()) return;
+
+                m_CommentString = txtMessage.Text;
+
+                this.Close();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 画面項目のチェック
+        /// <summary>
+        /// 画面項目のチェック
+        /// </summary>
+        /// <returns></returns>
+        private bool DispFeildCheck()
+        {
+            bool bRet = true;
+            try
+            {
+                // 背景色変更
+                CommonMotions.chgBackColor(txtMessage, bRet);
+                if (txtMessage.Text.Length == 0)
+                {
+                    bRet = false;
+                    CommonMotions.chgBackColor(txtMessage, bRet);
+                    MessageBox.Show("入力されていません、確認してください。", "データ確認"
+                                                , MessageBoxButtons.OK, MessageBoxIcon.Warning);
+                    return bRet;
+                }
+
+                if (!(bRet = CommonMotions.DispFieldLengthCheck(txtMessage, 300)))
+                {
+                    CommonMotions.chgBackColor(txtMessage, bRet);
+                    MessageBox.Show("入力文字が長すぎです、確認してください。", "データ確認"
+                                                , MessageBoxButtons.OK, MessageBoxIcon.Warning);
+                }
+
+                return bRet;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+    }
+}
\ No newline at end of file
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmInputComment.designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmInputComment.designer.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmInputComment.designer.cs	(revision 52)
@@ -0,0 +1,103 @@
+﻿using ProcessManagement.Forms.CustomControls;
+
+namespace ProcessManagement.Forms.SubForms
+{
+    partial class FrmInputComment
+    {
+        /// <summary>
+        /// 必要なデザイナ変数です。
+        /// </summary>
+        private System.ComponentModel.IContainer components = null;
+
+        /// <summary>
+        /// 使用中のリソースをすべてクリーンアップします。
+        /// </summary>
+        /// <param name="disposing">マネージ リソースが破棄される場合 true、破棄されない場合は false です。</param>
+        protected override void Dispose(bool disposing)
+        {
+            if (disposing && (components != null))
+            {
+                components.Dispose();
+            }
+            base.Dispose(disposing);
+        }
+
+        #region Windows フォーム デザイナで生成されたコード
+
+        /// <summary>
+        /// デザイナ サポートに必要なメソッドです。このメソッドの内容を
+        /// コード エディタで変更しないでください。
+        /// </summary>
+        private void InitializeComponent()
+        {
+            this.btnDataEntry = new System.Windows.Forms.Button();
+            this.btnEnd = new System.Windows.Forms.Button();
+            this.txtMessage = new System.Windows.Forms.TextBox();
+            this.SuspendLayout();
+            // 
+            // btnDataEntry
+            // 
+            this.btnDataEntry.BackColor = System.Drawing.Color.Green;
+            this.btnDataEntry.ForeColor = System.Drawing.Color.White;
+            this.btnDataEntry.Location = new System.Drawing.Point(539, 114);
+            this.btnDataEntry.Name = "btnDataEntry";
+            this.btnDataEntry.Size = new System.Drawing.Size(120, 30);
+            this.btnDataEntry.TabIndex = 1;
+            this.btnDataEntry.Text = "実　行";
+            this.btnDataEntry.UseVisualStyleBackColor = false;
+            this.btnDataEntry.Click += new System.EventHandler(this.btnDataEntry_Click);
+            // 
+            // btnEnd
+            // 
+            this.btnEnd.BackColor = System.Drawing.Color.Blue;
+            this.btnEnd.ForeColor = System.Drawing.Color.White;
+            this.btnEnd.Location = new System.Drawing.Point(665, 114);
+            this.btnEnd.Name = "btnEnd";
+            this.btnEnd.Size = new System.Drawing.Size(120, 30);
+            this.btnEnd.TabIndex = 2;
+            this.btnEnd.Text = "終　了";
+            this.btnEnd.UseVisualStyleBackColor = false;
+            this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
+            // 
+            // txtMessage
+            // 
+            this.txtMessage.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.txtMessage.ImeMode = System.Windows.Forms.ImeMode.On;
+            this.txtMessage.Location = new System.Drawing.Point(5, 6);
+            this.txtMessage.Multiline = true;
+            this.txtMessage.Name = "txtMessage";
+            this.txtMessage.Size = new System.Drawing.Size(780, 105);
+            this.txtMessage.TabIndex = 0;
+            // 
+            // FrmInputComment
+            // 
+            this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
+            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Dpi;
+            this.BackColor = System.Drawing.Color.Black;
+            this.ClientSize = new System.Drawing.Size(790, 147);
+            this.Controls.Add(this.txtMessage);
+            this.Controls.Add(this.btnDataEntry);
+            this.Controls.Add(this.btnEnd);
+            this.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.Fixed3D;
+            this.KeyPreview = true;
+            this.MaximizeBox = false;
+            this.MinimizeBox = false;
+            this.Name = "FrmInputComment";
+            this.ShowIcon = false;
+            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
+            this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.FrmCommentWriter_FormClosing);
+            this.Load += new System.EventHandler(this.FrmCommentWriter_Load);
+            this.KeyDown += new System.Windows.Forms.KeyEventHandler(this.FrmCommentWriter_KeyDown);
+            this.ResumeLayout(false);
+            this.PerformLayout();
+
+        }
+
+        #endregion
+
+        private System.Windows.Forms.Button btnDataEntry;
+        private System.Windows.Forms.Button btnEnd;
+        private System.Windows.Forms.TextBox txtMessage;
+    }
+}
\ No newline at end of file
